Notus API
Liquidity pools

Rebalance a liquidity position with a new price range

Collects the entire position, swaps assets as needed, and mints a fresh Uniswap v3 position in the requested range.

POST
/api/v1/liquidity/rebalance

Authorization

x-api-key
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/liquidity/rebalance" \  -H "Content-Type: application/json" \  -d '{    "walletAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464",    "toAddress": "0x1337133713371337133713371337133713371337",    "chainId": 42161,    "tokenId": "1234567890",    "newPosition": {      "minPrice": 1200.12,      "maxPrice": 1800.34    }  }'
{  "operation": {    "liquidityProvider": "UNISWAP_V3",    "walletAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464",    "toAddress": "0x1337133713371337133713371337133713371337",    "chainId": 42161,    "tokenId": "1234567890",    "newPosition": {      "minPrice": 1200.12,      "maxPrice": 1800.34    },    "slippage": 1,    "transactionFeePercent": 2.5,    "extraFee": {      "percentage": 1.5,      "toAddress": "0x6e397ddf51d9f15dbe0414538e7529f51f2e5464"    },    "metadata": {      "key": "value"    }  }}